Package com.android.server.os

# Class LinphoneTombstoneProtos.BacktraceFrame.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.BacktraceFrame,LinphoneTombstoneProtos.BacktraceFrame.Builder>
com.android.server.os.LinphoneTombstoneProtos.BacktraceFrame.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.BacktraceFrame

public static final class LinphoneTombstoneProtos.BacktraceFrame.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.BacktraceFrame,LinphoneTombstoneProtos.BacktraceFrame.Builder> implements LinphoneTombstoneProtos.BacktraceFrameOrBuilder
Protobuf type `BacktraceFrame`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearBuildId()`
`string build_id = 8;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearFileMapOffset()`
`uint64 file_map_offset = 7;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearFileName()`
`string file_name = 6;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearFunctionName()`
`string function_name = 4;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearFunctionOffset()`
`uint64 function_offset = 5;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearPc()`
`uint64 pc = 2;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearRelPc()`
`uint64 rel_pc = 1;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`clearSp()`
`uint64 sp = 3;`
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`long`
`getFileMapOffset()`
`uint64 file_map_offset = 7;`
`String`
`getFileName()`
`string file_name = 6;`
`com.google.protobuf.ByteString`
`getFileNameBytes()`
`string file_name = 6;`
`String`
`getFunctionName()`
`string function_name = 4;`
`com.google.protobuf.ByteString`
`getFunctionNameBytes()`
`string function_name = 4;`
`long`
`getFunctionOffset()`
`uint64 function_offset = 5;`
`long`
`getPc()`
`uint64 pc = 2;`
`long`
`getRelPc()`
`uint64 rel_pc = 1;`
`long`
`getSp()`
`uint64 sp = 3;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setBuildId(String value)`
`string build_id = 8;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setBuildIdBytes(com.google.protobuf.ByteString value)`
`string build_id = 8;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFileMapOffset(long value)`
`uint64 file_map_offset = 7;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFileName(String value)`
`string file_name = 6;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFileNameBytes(com.google.protobuf.ByteString value)`
`string file_name = 6;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFunctionName(String value)`
`string function_name = 4;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFunctionNameBytes(com.google.protobuf.ByteString value)`
`string function_name = 4;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setFunctionOffset(long value)`
`uint64 function_offset = 5;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setPc(long value)`
`uint64 pc = 2;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setRelPc(long value)`
`uint64 rel_pc = 1;`
`LinphoneTombstoneProtos.BacktraceFrame.Builder`
`setSp(long value)`
`uint64 sp = 3;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getRelPc

public long getRelPc()
`uint64 rel_pc = 1;`

Specified by:
  `getRelPc` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The relPc.

### setRelPc

public LinphoneTombstoneProtos.BacktraceFrame.Builder setRelPc(long value)
`uint64 rel_pc = 1;`

Parameters:
  `value` - The relPc to set.
Returns:
  This builder for chaining.

### clearRelPc

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearRelPc()
`uint64 rel_pc = 1;`

Returns:
  This builder for chaining.

### getPc

public long getPc()
`uint64 pc = 2;`

Specified by:
  `getPc` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The pc.

### setPc

public LinphoneTombstoneProtos.BacktraceFrame.Builder setPc(long value)
`uint64 pc = 2;`

Parameters:
  `value` - The pc to set.
Returns:
  This builder for chaining.

### clearPc

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearPc()
`uint64 pc = 2;`

Returns:
  This builder for chaining.

### getSp

public long getSp()
`uint64 sp = 3;`

Specified by:
  `getSp` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The sp.

### setSp

public LinphoneTombstoneProtos.BacktraceFrame.Builder setSp(long value)
`uint64 sp = 3;`

Parameters:
  `value` - The sp to set.
Returns:
  This builder for chaining.

### clearSp

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearSp()
`uint64 sp = 3;`

Returns:
  This builder for chaining.

### getFunctionName

public String getFunctionName()
`string function_name = 4;`

Specified by:
  `getFunctionName` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The functionName.

### getFunctionNameBytes

public com.google.protobuf.ByteString getFunctionNameBytes()
`string function_name = 4;`

Specified by:
  `getFunctionNameBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for functionName.

### setFunctionName

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFunctionName(String value)
`string function_name = 4;`

Parameters:
  `value` - The functionName to set.
Returns:
  This builder for chaining.

### clearFunctionName

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearFunctionName()
`string function_name = 4;`

Returns:
  This builder for chaining.

### setFunctionNameBytes

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFunctionNameBytes(com.google.protobuf.ByteString value)
`string function_name = 4;`

Parameters:
  `value` - The bytes for functionName to set.
Returns:
  This builder for chaining.

### getFunctionOffset

public long getFunctionOffset()
`uint64 function_offset = 5;`

Specified by:
  `getFunctionOffset` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The functionOffset.

### setFunctionOffset

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFunctionOffset(long value)
`uint64 function_offset = 5;`

Parameters:
  `value` - The functionOffset to set.
Returns:
  This builder for chaining.

### clearFunctionOffset

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearFunctionOffset()
`uint64 function_offset = 5;`

Returns:
  This builder for chaining.

### getFileName

public String getFileName()
`string file_name = 6;`

Specified by:
  `getFileName` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The fileName.

### getFileNameBytes

public com.google.protobuf.ByteString getFileNameBytes()
`string file_name = 6;`

Specified by:
  `getFileNameBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for fileName.

### setFileName

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFileName(String value)
`string file_name = 6;`

Parameters:
  `value` - The fileName to set.
Returns:
  This builder for chaining.

### clearFileName

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearFileName()
`string file_name = 6;`

Returns:
  This builder for chaining.

### setFileNameBytes

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFileNameBytes(com.google.protobuf.ByteString value)
`string file_name = 6;`

Parameters:
  `value` - The bytes for fileName to set.
Returns:
  This builder for chaining.

### getFileMapOffset

public long getFileMapOffset()
`uint64 file_map_offset = 7;`

Specified by:
  `getFileMapOffset` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The fileMapOffset.

### setFileMapOffset

public LinphoneTombstoneProtos.BacktraceFrame.Builder setFileMapOffset(long value)
`uint64 file_map_offset = 7;`

Parameters:
  `value` - The fileMapOffset to set.
Returns:
  This builder for chaining.

### clearFileMapOffset

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearFileMapOffset()
`uint64 file_map_offset = 7;`

Returns:
  This builder for chaining.

### getBuildId

public String getBuildId()
`string build_id = 8;`

Specified by:
  `getBuildId` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The buildId.

### getBuildIdBytes

public com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Specified by:
  `getBuildIdBytes` in interface `LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
Returns:
  The bytes for buildId.

### setBuildId

public LinphoneTombstoneProtos.BacktraceFrame.Builder setBuildId(String value)
`string build_id = 8;`

Parameters:
  `value` - The buildId to set.
Returns:
  This builder for chaining.

### clearBuildId

public LinphoneTombstoneProtos.BacktraceFrame.Builder clearBuildId()
`string build_id = 8;`

Returns:
  This builder for chaining.

### setBuildIdBytes

public LinphoneTombstoneProtos.BacktraceFrame.Builder setBuildIdBytes(com.google.protobuf.ByteString value)
`string build_id = 8;`

Parameters:
  `value` - The bytes for buildId to set.
Returns:
  This builder for chaining.